MOSS Forum

Ask Question   UnAnswered
Home » Forum » MOSS       RSS Feeds

.NET 3.0

  Asked By: Jayshree    Date: Jan 11    Category: MOSS    Views: 631

Is it absolutely necessary to install .NET 3.0 for MOSS 2007? I have
it installed on my development site per the installation instructions
but I look in IIS Admin and the web sites are actually using the .NET
2.0 framework. I will be loading up my Production box soon and I just
want to get on there what is absolutely needed. I think I need .NET
3.0 for the WWF components among others, but I just wanted to pose the



2 Answers Found

Answer #1    Answered By: Joanne Greer     Answered On: Jan 11

Yes, it's necessary. At least for the Workflow Foundation like you
mentioned. I don't think WSS v3 or MOSS will even install  if .net 3.0
is not installed.

Answer #2    Answered By: Vinay Thakur     Answered On: Jan 11

It absolutely will not install  with .Net Framework 3.0 being present. The
Installer will exit. As to the descrepancy that you see with the version
numbers is that with the release of .Net Framework 3.0, they added new
things to the Framework (Windows Workflow Foundations, Windows Presentation
Framework, CardSpace, etc.) but didn't change anything with Asp.Net so it
remains at the 2.x version number. You can think of the 3.0 release of .Net
as expanding the scope of things in the framework...a bundling if you will.

Didn't find what you were looking for? Find more on .NET 3.0 Or get search suggestion and latest updates.